unicode.h File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | _GLIBCXX_GET_UNICODE_DATA

## Typedefs

template<typename _View >
using | std::__unicode::_Utf16_view = _Utf_view< char16_t, _View >
template<typename _View >
using | std::__unicode::_Utf32_view = _Utf_view< char32_t, _View >
template<typename _View >
using | std::__unicode::_Utf8_view = _Utf_view< char, _View >

## Functions

constexpr bool | std::__unicode::__charset_alias_match (string_view __a, string_view __b)
template<typename _CharT >
constexpr size_t | std::__unicode::__field_width (basic_string_view< _CharT > __s)
constexpr int | std::__unicode::__field_width (char32_t __c) noexcept
constexpr _Gcb_property | std::__unicode::__grapheme_cluster_break_property (char32_t __c) noexcept
constexpr _InCB | std::__unicode::__incb_property (char32_t __c) noexcept
constexpr bool | std::__unicode::__is_extended_pictographic (char32_t __c)
constexpr bool | std::__unicode::__is_incb_linker (char32_t __c) noexcept
constexpr bool | std::__unicode::__is_scalar_value (char32_t __c)
template<typename _CharT >
constexpr bool | std::__unicode::__is_single_code_unit (char32_t __c)
consteval bool | std::__unicode::__literal_encoding_is_extended_ascii ()
template<typename _CharT >
consteval bool | std::__unicode::__literal_encoding_is_unicode ()
consteval bool | std::__unicode::__literal_encoding_is_utf8 ()
template<typename _CharT >
constexpr size_t | std::__unicode::__truncate (basic_string_view< _CharT > &__s, size_t __max)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <format>.

Definition in file unicode.h.

## Macro Definition Documentation

## _GLIBCXX_GET_UNICODE_DATA

#define _GLIBCXX_GET_UNICODE_DATA

Definition at line 595 of file unicode.h.

## Typedef Documentation

## _Utf16_view

template<typename _View >

using std::__unicode::_Utf16_view = typedef _Utf_view<char16_t, _View>

Definition at line 589 of file unicode.h.

## _Utf32_view

template<typename _View >

using std::__unicode::_Utf32_view = typedef _Utf_view<char32_t, _View>

Definition at line 591 of file unicode.h.

## _Utf8_view

template<typename _View >

using std::__unicode::_Utf8_view = typedef _Utf_view<char, _View>

Definition at line 586 of file unicode.h.

## Function Documentation

## __charset_alias_match()

constexpr bool std::__unicode::__charset_alias_match | ( | string_view | __a,
|  | string_view | __b
| ) |  |

constexpr

Definition at line 1076 of file unicode.h.

## __field_width() [1/2]

template<typename _CharT >

constexpr size_t std::__unicode::__field_width | ( | basic_string_view< _CharT > | __s | ) |

constexpr

Definition at line 951 of file unicode.h.

## __field_width() [2/2]

constexpr int std::__unicode::__v15_1_0::__field_width | ( | char32_t | __c | ) |

constexpr noexcept

Definition at line 603 of file unicode.h.

## __grapheme_cluster_break_property()

constexpr _Gcb_property std::__unicode::__v15_1_0::__grapheme_cluster_break_property | ( | char32_t | __c | ) |

constexpr noexcept

Definition at line 614 of file unicode.h.

## __incb_property()

constexpr _InCB std::__unicode::__v15_1_0::__incb_property | ( | char32_t | __c | ) |

constexpr noexcept

Definition at line 633 of file unicode.h.

## __is_extended_pictographic()

constexpr bool std::__unicode::__v15_1_0::__is_extended_pictographic | ( | char32_t | __c | ) |

constexpr

Definition at line 645 of file unicode.h.

## __is_incb_linker()

constexpr bool std::__unicode::__v15_1_0::__is_incb_linker | ( | char32_t | __c | ) |

constexpr noexcept

Definition at line 624 of file unicode.h.

## __is_scalar_value()

constexpr bool std::__unicode::__is_scalar_value | ( | char32_t | __c | ) |

constexpr

Definition at line 51 of file unicode.h.

## __is_single_code_unit()

template<typename _CharT >

constexpr bool std::__unicode::__is_single_code_unit | ( | char32_t | __c | ) |

constexpr

Definition at line 61 of file unicode.h.

## __literal_encoding_is_extended_ascii()

consteval bool std::__unicode::__literal_encoding_is_extended_ascii | ( |  | ) |

Definition at line 1068 of file unicode.h.

## __literal_encoding_is_unicode()

template<typename _CharT >

consteval bool std::__unicode::__literal_encoding_is_unicode | ( |  | ) |

Definition at line 997 of file unicode.h.

## __literal_encoding_is_utf8()

consteval bool std::__unicode::__literal_encoding_is_utf8 | ( |  | ) |

Definition at line 1064 of file unicode.h.

## __truncate()

template<typename _CharT >

constexpr size_t std::__unicode::__truncate | ( | basic_string_view< _CharT > & | __s,
|  | size_t | __max
| ) |  |

constexpr

Definition at line 968 of file unicode.h.